#2684 closed defect (fixed)

rtems/c/src/lib/libbsp/sparc/leon3/clock/ckinit.c:122: duplicate if

Reported by: David Binderman Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: arch/sparc Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

rtems/c/src/lib/libbsp/sparc/leon3/clock/ckinit.c:122]: (style) Expression is always false because 'else if' condition matches previous condition at line 116.

Source code is

} else if (state == 1) {

unsigned int ks = 1U << 5;

state = 0;

irqmp_ts->control = ks | s1_s2 | (unsigned int) clkirq;

} else if (state == 1) {

Change History (5)

comment:1 Changed on Apr 14, 2016 at 5:52:58 AM by Sebastian Huber

Milestone: 4.11.14.12
Owner: set to Sebastian Huber
Status: newassigned
Version: 4.104.11

comment:2 Changed on Jul 5, 2016 at 7:59:52 AM by Sebastian Huber

Component: Generalbsps
Resolution: fixed
Status: assignedclosed

[291945f137d411834c0eaf3b0bb819263efb845b/rtems]

No plans to fix this for RTEMS 4.11.

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Oct 10, 2017 at 6:53:06 AM by Sebastian Huber

Component: bspsarch/sparc

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.